package com.tencent;

import com.tencent.business.DownloadBillBusiness;
import com.tencent.business.RefundBusiness;
import com.tencent.business.RefundQueryBusiness;
import com.tencent.business.ScanPayBusiness;
import com.tencent.common.Configure;
import com.tencent.protocol.downloadbill_protocol.DownloadBillReqData;
import com.tencent.protocol.pay_protocol.JSPayReqData;
import com.tencent.protocol.pay_protocol.ScanPayReqData;
import com.tencent.protocol.pay_query_protocol.ScanPayQueryReqData;
import com.tencent.protocol.refund_protocol.RefundReqData;
import com.tencent.protocol.refund_query_protocol.RefundQueryReqData;
import com.tencent.protocol.reverse_protocol.ReverseReqData;
import com.tencent.service.*;

/**
 * SDK
 */
public class WXPay {

    /**
     * ʼSDKļؼ
     * @param key ǩ㷨ҪõԿ
     * @param appID ˺ID
     * @param mchID ̻ID
     * @param sdbMchID ̻IDģʽ
     * @param certLocalPath HTTP֤ڷе·֤
     * @param certPassword HTTP֤룬ĬϵMCHID
     */
    public static void initSDKConfiguration(String key,String appID,String mchID,String sdbMchID,String certLocalPath,String certPassword){
        Configure.setKey(key);
        Configure.setAppID(appID);
        Configure.setMchID(mchID);
        Configure.setSubMchID(sdbMchID);
        Configure.setCertLocalPath(certLocalPath);
        Configure.setCertPassword(certPassword);
    }


    /**
     * ֧
     * @param jsPayReqData ݶAPIҪύĸֶ
     * @return APIص
     * @throws Exception
     */
    public static String requestPayService(JSPayReqData jsPayReqData) throws Exception{
        return new UnifiedOrderPayService().request(jsPayReqData);
    }

    /**
     * ɨ֧
     * @param scanPayReqData ݶAPIҪύĸֶ
     * @return APIص
     * @throws Exception
     */
    public static String requestScanPayService(ScanPayReqData scanPayReqData) throws Exception{
        return new ScanPayService().request(scanPayReqData);
    }

    /**
     * ֧ѯ
     * @param scanPayQueryReqData ݶAPIҪύĸֶ
     * @return APIصXML
     * @throws Exception
     */
	public static String requestScanPayQueryService(ScanPayQueryReqData scanPayQueryReqData) throws Exception{
		return new ScanPayQueryService().request(scanPayQueryReqData);
	}

    /**
     * ˿
     * @param refundReqData ݶAPIҪύĸֶ
     * @return APIصXML
     * @throws Exception
     */
    public static String requestRefundService(RefundReqData refundReqData) throws Exception{
        return new RefundService().request(refundReqData);
    }

    /**
     * ˿ѯ
     * @param refundQueryReqData ݶAPIҪύĸֶ
     * @return APIصXML
     * @throws Exception
     */
	public static String requestRefundQueryService(RefundQueryReqData refundQueryReqData) throws Exception{
		return new RefundQueryService().request(refundQueryReqData);
	}

    /**
     * 
     * @param reverseReqData ݶAPIҪύĸֶ
     * @return APIصXML
     * @throws Exception
     */
	public static String requestReverseService(ReverseReqData reverseReqData) throws Exception{
		return new ReverseService().request(reverseReqData);
	}

    /**
     * ˵ط
     * @param downloadBillReqData ݶAPIҪύĸֶ
     * @return APIصXML
     * @throws Exception
     */
    public static String requestDownloadBillService(DownloadBillReqData downloadBillReqData) throws Exception{
        return new DownloadBillService().request(downloadBillReqData);
    }

    /**
     * ֱִбɨ֧ҵ߼ʵ̣
     * @param scanPayReqData ݶAPIҪύĸֶ
     * @param resultListener ̻ҪԼɨ֧ҵ߼ܴĸַ֧¼úӦ
     * @throws Exception
     */
    public static void doScanPayBusiness(ScanPayReqData scanPayReqData, ScanPayBusiness.ResultListener resultListener) throws Exception {
        new ScanPayBusiness().run(scanPayReqData, resultListener);
    }

    /**
     * ˿ҵ߼
     * @param refundReqData ݶAPIҪύĸֶ
     * @param resultListener ҵ߼ߵĽ֧Ҫ̻
     * @throws Exception
     */
    public static void doRefundBusiness(RefundReqData refundReqData, RefundBusiness.ResultListener resultListener) throws Exception {
        new RefundBusiness().run(refundReqData,resultListener);
    }

    /**
     * ˿ѯҵ߼
     * @param refundQueryReqData ݶAPIҪύĸֶ
     * @param resultListener ̻ҪԼɨ֧ҵ߼ܴĸַ֧¼úӦ
     * @throws Exception
     */
    public static void doRefundQueryBusiness(RefundQueryReqData refundQueryReqData,RefundQueryBusiness.ResultListener resultListener) throws Exception {
        new RefundQueryBusiness().run(refundQueryReqData,resultListener);
    }

    /**
     * ˵ط
     * @param downloadBillReqData ݶAPIҪύĸֶ
     * @param resultListener ̻ҪԼɨ֧ҵ߼ܴĸַ֧¼úӦ
     * @return APIصXML
     * @throws Exception
     */
    public static void doDownloadBillBusiness(DownloadBillReqData downloadBillReqData,DownloadBillBusiness.ResultListener resultListener) throws Exception {
        new DownloadBillBusiness().run(downloadBillReqData,resultListener);
    }


}
